package ink.wgink.module.instantmessage.websocket.pojo.body;

/**
 * @ClassName: NoticeBody
 * @Description: 通知
 * @Author: wanggeng
 * @Date: 2021/9/12 10:09 下午
 * @Version: 1.0
 */
public class NoticeBody {
    /**
     * 标题
     */
    private String title;
    /**
     * 内容
     */
    private String msg;
    /**
     * 目标，需要客户端点击触发效果时使用，可以为约定好的 url、page 等等
     */
    private String target;
    /**
     * 业务ID
     */
    private String serviceId;

    public NoticeBody() {
    }

    public NoticeBody(String title, String msg) {
        this.title = title;
        this.msg = msg;
    }

    public NoticeBody(String title, String msg, String target) {
        this.title = title;
        this.msg = msg;
        this.target = target;
    }

    public NoticeBody(String title, String msg, String target, String serviceId) {
        this.title = title;
        this.msg = msg;
        this.target = target;
        this.serviceId = serviceId;
    }

    public String getTitle() {
        return title == null ? "" : title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getMsg() {
        return msg == null ? "" : msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public String getTarget() {
        return target == null ? "" : target;
    }

    public void setTarget(String target) {
        this.target = target;
    }

    public String getServiceId() {
        return serviceId;
    }

    public void setServiceId(String serviceId) {
        this.serviceId = serviceId;
    }
}
